import test from 'ava';
import sinon from 'sinon';
import chalk from 'chalk';
import bundlesize from './index';

const plugin = bundlesize();

test.before((t) => {
    sinon.spy(console, 'log');
});

test.after.always((t) => {
    console.log.restore();
});

test('bundlesize has the correct name', (t) => {
    t.true(plugin.name === 'rollup-plugin-bundle-size');
});

test('bundlesize outputs the stuff', (t) => {
    plugin.ongenerate({ dest: 'test.js' }, { code: 'var foo = "bar";' });
    t.true(console.log.calledOnce);
    t.true(console.log.getCall(0).args[0] === `Created bundle ${chalk.cyan('test.js')}: ${chalk.green('16 B')} → ${chalk.green('36 B')} (gzip)`);
});
